Bug 3777 - PBS SEG module can stop prematurely on PBS restart
: PBS SEG module can stop prematurely on PBS restart
Status: RESOLVED FIXED
: GRAM
wsrf scheduler interface
: 4.0.1
: PC Linux
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-09-23 11:50 by
Modified: 2005-11-01 11:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-23 11:50:38
When I restart PBS, I get a log messages that looks like the following:

09/23/2005 09:34:52;0002;PBS_Server;Svr;Log;Log closed
09/23/2005 09:34:55;0002;PBS_Server;Svr;Log;Log opened

Unfortunately, the pbs seg module uses the "Log closed" message to stop
processing and continue on to the next log file.  I guess something needs to be
done to make sure that a "Log opened" message doesn't immediately follow before
abandoning the rest of the log entries.
------- Comment #1 From 2005-11-01 11:09:27 -------
I've committed fixes to the log parser to eliminate the problem. An update is
available on the globus web at http://www.globus.org/toolkit/advisories.html

joe